# TestMessagePhase | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class TestMessagePhase

#### Hierarchy (View Summary)

- MessagePhase
  - TestMessagePhase

- Defined in src/phases/test-message-phase.ts:3

##### Index

### Constructors

constructor

### Methods

end
start

## Constructors

### constructor

- new TestMessagePhase(message: string): TestMessagePhase

  #### Parameters

  - message: string

  #### Returns TestMessagePhase

  Overrides MessagePhase.constructor

  - Defined in src/phases/test-message-phase.ts:4

## Methods

### end

- end(): void

  #### Returns void

  Inherited from MessagePhase.end

  - Defined in src/phase.ts:6

### start

- start(): void

  #### Returns void

  Inherited from MessagePhase.start

  - Defined in src/phases/message-phase.ts:27